> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/playbooks.md).

# Playbooks

## GET /playbooks

> Get all playbooks for the organization.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse":{"required":["dateAdded","description","isPrivate","name","objectIdentifier","organizationWide","resourceOwner"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isPrivate":{"type":"boolean"},"organizationWide":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"hasImage":{"type":"boolean"},"hasWordAssembly":{"type":"boolean"},"hasMultipleGroups":{"type":"boolean"},"groupCount":{"type":"integer","format":"int32"},"promptCount":{"type":"integer","format":"int32"},"requiresMaintenance":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks":{"get":{"tags":["Playbooks"],"summary":"Get all playbooks for the organization.","parameters":[{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /playbooks

> Create a new playbook.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Requests.CreatePlaybookRequest":{"required":["isPrivate","name","organizationWide"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isPrivate":{"type":"boolean"},"organizationWide":{"type":"boolean"},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Requests.PlaybookMetadataInput"},"nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Requests.PlaybookMetadataInput":{"type":"object","properties":{"organizationMetadataIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse":{"required":["dateAdded","description","isPrivate","name","objectIdentifier","organizationWide","resourceOwner"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isPrivate":{"type":"boolean"},"organizationWide":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"hasImage":{"type":"boolean"},"hasWordAssembly":{"type":"boolean"},"hasMultipleGroups":{"type":"boolean"},"groupCount":{"type":"integer","format":"int32"},"promptCount":{"type":"integer","format":"int32"},"requiresMaintenance":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks":{"post":{"tags":["Playbooks"],"summary":"Create a new playbook.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Requests.CreatePlaybookRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Requests.CreatePlaybookRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Requests.CreatePlaybookRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /playbooks/import

> Queue an import task. The zip is processed asynchronously by the TaskProcessor.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookTasks.Contracts.PlaybookTaskAcceptedResponse":{"type":"object","properties":{"taskObjectIdentifier":{"type":"string","format":"uuid"},"type":{"type":"string","nullable":true},"status":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Validators.ValidationError":{"type":"object","properties":{"errorCode":{"type":"string","nullable":true},"errorMessage":{"type":"string","nullable":true},"errorItems":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Validators.ErrorItem"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.API.Validators.ErrorItem":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/playbooks/import":{"post":{"tags":["Playbooks"],"summary":"Queue an import task. The zip is processed asynchronously by the TaskProcessor.","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"importZip":{"type":"string","format":"binary"}}},"encoding":{"importZip":{"style":"form"}}}}},"responses":{"202":{"description":"Accepted","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookTasks.Contracts.PlaybookTaskAcceptedResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookTasks.Contracts.PlaybookTaskAcceptedResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookTasks.Contracts.PlaybookTaskAcceptedResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Validators.ValidationError"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Validators.ValidationError"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Validators.ValidationError"}}}}}}}}}
```

## POST /playbooks/search

> Search playbooks for the current user.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest":{"type":"object","properties":{"pageNumber":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"searchText":{"type":"string","nullable":true},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.MetadataFilterItem"},"nullable":true},"sorting":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"},"desc":{"type":"boolean"},"scope":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PlaybookScope"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Core.Models.MetadataFilterItem":{"required":["dataType","metadataId","value"],"type":"object","properties":{"metadataId":{"type":"string","nullable":true},"dataType":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.MetadataDataType"},"value":{"nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Core.Models.MetadataDataType":{"enum":["boolean","text","decimal","singleCategory","multiCategory"],"type":"string"},"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.PlaybookMarketplace.Core.Models.PlaybookScope":{"enum":["all","mine"],"type":"string"},"Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse":{"required":["dateAdded","description","isPrivate","name","objectIdentifier","organizationWide","resourceOwner"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isPrivate":{"type":"boolean"},"organizationWide":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"hasImage":{"type":"boolean"},"hasWordAssembly":{"type":"boolean"},"hasMultipleGroups":{"type":"boolean"},"groupCount":{"type":"integer","format":"int32"},"promptCount":{"type":"integer","format":"int32"},"requiresMaintenance":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/search":{"post":{"tags":["Playbooks"],"summary":"Search playbooks for the current user.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## POST /playbooks/search/all

> Search all playbooks in the organization.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest":{"type":"object","properties":{"pageNumber":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"searchText":{"type":"string","nullable":true},"metadata":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.MetadataFilterItem"},"nullable":true},"sorting":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"},"desc":{"type":"boolean"},"scope":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.PlaybookScope"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Core.Models.MetadataFilterItem":{"required":["dataType","metadataId","value"],"type":"object","properties":{"metadataId":{"type":"string","nullable":true},"dataType":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Core.Models.MetadataDataType"},"value":{"nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Core.Models.MetadataDataType":{"enum":["boolean","text","decimal","singleCategory","multiCategory"],"type":"string"},"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.PlaybookMarketplace.Core.Models.PlaybookScope":{"enum":["all","mine"],"type":"string"},"Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse"},"nullable":true},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse":{"required":["dateAdded","description","isPrivate","name","objectIdentifier","organizationWide","resourceOwner"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"isPrivate":{"type":"boolean"},"organizationWide":{"type":"boolean"},"dateAdded":{"type":"string","format":"date-time"},"resourceOwner":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.OrganizationMemberModel"},"hasImage":{"type":"boolean"},"hasWordAssembly":{"type":"boolean"},"hasMultipleGroups":{"type":"boolean"},"groupCount":{"type":"integer","format":"int32"},"promptCount":{"type":"integer","format":"int32"},"requiresMaintenance":{"type":"boolean"}},"additionalProperties":false},"Jylo.Toolkit.API.Models.OrganizationMemberModel":{"required":["id","name"],"type":"object","properties":{"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"id":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/search/all":{"post":{"tags":["Playbooks"],"summary":"Search all playbooks in the organization.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Models.PlaybookSearchRequest"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.PaginationListModel`1[[Jylo.PlaybookMarketplace.Services.Features.Playbooks.Contracts.Responses.PlaybookResponse, Jylo.PlaybookMarketplace.Services, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/playbooks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
